## zlib 1.0.0

=== DESCRIPTION ===
Package: zlib
Version: 1.0.0
Type: Package
Title: Compression and Decompression
Authors@R: person("Semjon", "Geist", role = c("aut", "cre"),
                     email = "mail@semjon-geist.de")
Author: Semjon Geist [aut, cre]
License: MIT + file LICENSE
URL: https://github.com/sgeist-ionos/R-zlib
BugReports: https://github.com/sgeist-ionos/R-zlib/issues
Description: The 'zlib' package for R aims to offer an R-based equivalent of 'Python's' built-in 'zlib' module for data compression and decompression. This package provides a suite of functions for working with 'zlib' compression, including utilities for compressing and decompressing data streams, manipulating compressed files, and working with 'gzip', 'zlib', and 'deflate' formats.
Depends: R (>= 3.6.0)
Imports: Rcpp (>= 1.0.9)
Suggests: testthat (>= 3.0.0), remotes (>= 2.4.2), roxygen2md (>=
        1.0.0), rmarkdown (>= 2.21), covr (>= 3.6.2), DT (>= 0.29),
        htmltools (>= 0.5.6)
LinkingTo: Rcpp
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-09-08 11:02:37 UTC; sgeist
Maintainer: Semjon Geist <mail@semjon-geist.de>
Repository: CRAN
Date/Publication: 2023-09-08 15:40:02 UTC

## zlib 1.0.1

=== DESCRIPTION ===
Package: zlib
Version: 1.0.1
Type: Package
Title: Compression and Decompression
Authors@R: person("Semjon", "Geist", role = c("aut", "cre"),
                     email = "mail@semjon-geist.de")
Author: Semjon Geist [aut, cre]
License: MIT + file LICENSE
URL: https://github.com/sgeist-ionos/R-zlib
BugReports: https://github.com/sgeist-ionos/R-zlib/issues
Description: The 'zlib' package for R aims to offer an R-based equivalent of 'Python's' built-in 'zlib' module for data compression and decompression. This package provides a suite of functions for working with 'zlib' compression, including utilities for compressing and decompressing data streams, manipulating compressed files, and working with 'gzip', 'zlib', and 'deflate' formats.
Depends: R (>= 3.6.0)
Imports: Rcpp
Suggests: testthat (>= 3.0.0)
LinkingTo: Rcpp
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-09-08 21:04:56 UTC; sgeist
Maintainer: Semjon Geist <mail@semjon-geist.de>
Repository: CRAN
Date/Publication: 2023-09-08 21:50:02 UTC

## zlib 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: zlib
-Version: 1.0.1
+Version: 1.0.2
 Type: Package
 Title: Compression and Decompression
 Authors@R: person("Semjon", "Geist", role = c("aut", "cre"),
@@ -18,7 +18,7 @@
 RoxygenNote: 7.2.3
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-09-08 21:04:56 UTC; sgeist
+Packaged: 2023-10-17 22:17:22 UTC; sgeist
 Maintainer: Semjon Geist <mail@semjon-geist.de>
 Repository: CRAN
-Date/Publication: 2023-09-08 21:50:02 UTC
+Date/Publication: 2023-10-17 22:40:03 UTC

## zlib 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: zlib
-Version: 1.0.2
+Version: 1.0.3
 Type: Package
 Title: Compression and Decompression
 Authors@R: person("Semjon", "Geist", role = c("aut", "cre"),
@@ -18,7 +18,7 @@
 RoxygenNote: 7.2.3
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-10-17 22:17:22 UTC; sgeist
+Packaged: 2023-10-18 14:40:04 UTC; sgeist
 Maintainer: Semjon Geist <mail@semjon-geist.de>
 Repository: CRAN
-Date/Publication: 2023-10-17 22:40:03 UTC
+Date/Publication: 2023-10-18 20:50:02 UTC

## zlib 1.2.1-5

=== debian/changelog ===
zlib (1:1.2.1-5) unstable; urgency=low

  * Apparently udebs shouldn't call ldconfig (closes: #237345).

 -- Mark Brown <broonie@debian.org>  Thu, 11 Mar 2004 21:27:09 +0000

zlib (1:1.2.1-4) unstable; urgency=low

  * Make checks when minizip is skipping arguments less likely to generate
    false positives (closes: #231036).

 -- Mark Brown <broonie@debian.org>  Sat,  7 Feb 2004 18:48:41 +0000

zlib (1:1.2.1-3) unstable; urgency=low

  * Use dpkg-architecture to get the target architecture and use the compiler
    it tells us to.
  * Don't run the testsuite when we're cross-compiling.

 -- Mark Brown <broonie@debian.org>  Sat,  6 Dec 2003 14:49:48 +0000

zlib (1:1.2.1-2) unstable; urgency=low

  * Version build dependency on the DBS package (closes: #221599).

 -- Mark Brown <broonie@debian.org>  Fri, 21 Nov 2003 14:13:40 +0000

zlib (1:1.2.1-1) unstable; urgency=low

  * New upstream release.
  * The override fie tells me zlib1g is now required.
  * Use dbs package to build rather than carting around our own copy.
  * Many patches have been incorporated upstream.
  * Upstream no longer has a readme.txt for zlib-bin.
  * Check the return value of scanf() in miniunzip.

 -- Mark Brown <broonie@debian.org>  Mon, 17 Nov 2003 23:49:22 +0000

zlib (1:1.1.4-17) unstable; urgency=low

  * Support GNU/KFreeBSD (closes: #220844).

 -- Mark Brown <broonie@debian.org>  Sat, 15 Nov 2003 12:00:24 +0000

zlib (1:1.1.4-16) unstable; urgency=low

  * Check the return value of scanf in minizip (closes: #215658).
  * Issue a diagnostic if minizip has no ZIP file to work on (closes: #215657).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Oct 2003 19:02:39 +0100

zlib (1:1.1.4-15) unstable; urgency=low

  * Replace "udeb" with "for Debian installer" in the short description for
    the udeb (closes: #211019).
  * Fix conflicts between real binary package and udeb.

 -- Mark Brown <broonie@debian.org>  Tue, 16 Sep 2003 07:38:47 +0100

zlib (1:1.1.4-14) unstable; urgency=low

  * Remove the libc5 libraries from the control file.  Apparently the archive
    software isn't too keen on having packages built for the null set of
    architectures.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Jul 2003 09:02:39 +0100

zlib (1:1.1.4-13) unstable; urgency=low

  * Nothing's actually appeared that uses the fact that zlib is in /lib so
    move it back to /usr/lib.
  * Drop libc5 support since it's breaking builds.  The infrastructure is
    still there so if we do decided to continue building libc5 stuff after all
    it can be added back.

 -- Mark Brown <broonie@debian.org>  Sat, 21 Jun 2003 14:07:39 +0100

zlib (1:1.1.4-12) unstable; urgency=low

  * Change section of zlib1g-dev to libdevel.
  * GCC has now complains about improper usage of functions even without
    prototypes so fix vsnprintf() test to call vsnprintf() with the
    correct arguments (closes: #194828).

 -- Mark Brown <broonie@debian.org>  Tue, 27 May 2003 08:32:02 +0100

zlib (1:1.1.4-11) unstable; urgency=low

  * The "Premature implementation is the root of all evil" release.
  * Change udeb name to zlib1g-udeb (closes: #183296).
  * Make the udeb provide zlib1g.

 -- Mark Brown <broonie@debian.org>  Mon,  3 Mar 2003 22:00:21 +0000

zlib (1:1.1.4-10) unstable; urgency=low

  * Fix buffer overflow in gzprintf() by adding configure test for
    vsnprintf() and failing the build out if it's not used.
  * Use snprintf() for printing file descriptor name in gzdopen().
  * Remove Emacs variables from changelog.

 -- Mark Brown <broonie@debian.org>  Sun, 23 Feb 2003 17:37:38 +0000

zlib (1:1.1.4-9) unstable; urgency=low

  * Build a zlib-udeb package.  The changes are a modified version of some
    provided by Sebastian Ley <sebastian.ley@mmweg.rwth-aachen.de>.
  * Updated Standards-Version to 3.5.8 (no changes).
  * Don't check for the preprocessor constant i386 in zconf.h, use the
    better namespaced __i386__ instead.

 -- Mark Brown <broonie@debian.org>  Mon, 30 Dec 2002 20:54:25 +0000

zlib (1:1.1.4-8) unstable; urgency=low

  * Leave libz.so in /usr/lib (closes: #169924).

 -- Mark Brown <broonie@debian.org>  Wed, 20 Nov 2002 21:04:58 +0000

zlib (1:1.1.4-7) unstable; urgency=low

  * Install libz.so in /lib rather than /usr/lib (closes: #168797).

 -- Mark Brown <broonie@debian.org>  Tue, 19 Nov 2002 00:01:34 +0000

zlib (1:1.1.4-6) unstable; urgency=low

  * Depend on libc-dev rather than libc6-dev (closes: #164649).

 -- Mark Brown <broonie@debian.org>  Mon, 14 Oct 2002 11:35:09 +0100

zlib (1:1.1.4-5) unstable; urgency=low

  * Include patch from Joel Baker <lucifer@lightbearer.com> forcing -Dunix
    when building minizip for NetBSD (closes: #164060).
  * Don't set /usr/doc link in zlib1-altdev.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Oct 2002 19:32:25 +0100

zlib (1:1.1.4-4) unstable; urgency=low

  * Complete sentance in minzip.1 (closes: #160929).

 -- Mark Brown <broonie@debian.org>  Sun, 15 Sep 2002 15:02:06 +0100

zlib (1:1.1.4-3) unstable; urgency=low

  * Update upstream URL in copyright file (closes: #154940).

 -- Mark Brown <broonie@debian.org>  Wed, 31 Jul 2002 12:26:13 +0100

zlib (1:1.1.4-2) unstable; urgency=low

  * Build glibc static library without PIC (closes: #149939).

 -- Mark Brown <broonie@debian.org>  Wed, 17 Jul 2002 20:37:50 +0100

zlib (1:1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 11 Mar 2002 21:44:13 +0000

zlib (1:1.1.3-19.1) unstable; urgency=high

  * Non-maintainer upload
  * Apply patch for double-free bug

 -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Mar 2002 23:52:20 -0500

zlib (1:1.1.3-19) unstable; urgency=low

  * Include patch to minizip from Steve Kemp <skx@tardis.ed.ac.uk>
    fixing various stability issues with minizip.

 -- Mark Brown <broonie@debian.org>  Sat, 19 Jan 2002 13:19:22 +0000

zlib (1:1.1.3-18) unstable; urgency=low

  * Fix -d option support so that archives can be extracted without 
    using -d (closes: #119898).


=== debian/control ===
Source: zlib
Section: libs
Priority: optional
Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 3.5.8
Build-Depends: debhelper, dbs (>= 0.21)

Package: zlib1g
Architecture: any
Depends: ${shlibs:Depends}
Priority: required
Conflicts: zlib1 (<= 1:1.0.4-7), zlib1g-udeb
Replaces: zlib1g-udeb
Provides: libz1
Description: compression library - runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the shared library.

Package: zlib1g-dev
Section: libdevel
Architecture: any
Depends: zlib1g (= ${Source-Version}), libc6-dev | libc-dev
Conflicts: zlib1-dev
Provides: libz-dev
Description: compression library - development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files.

Package: zlib-bin
Section: utils
Architecture: any
Depends: libz1
Description: compression library - sample programs
 Some generally useful sample programs from the contrib directory.
 Includes a "mini" implementation of `zip' and `unzip' called
 `minizip' and `miniunzip' respectively.

Package: zlib1g-udeb
Architecture: any
Priority: optional
Provides: zlib1g
Section: debian-installer
Description: compression library - runtime for Debian installer
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This minimal package includes the shared library
 for use with the Debian installer.

=== debian/rules ===
#!/usr/bin/make -f

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | \
		 sed -e 's/^Version: *//' -e 's/-.*$$//' -e 's/^.*://')
SONAME=1

include debian/vars
BUILD_TREE = $(SOURCE_DIR)/$(TAR_DIR)

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DH_OPTIONS=

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
TESTS=test
endif

COMPAT-ARCHS=
ifneq (,$(findstring $(DEB_HOST_ARCH), $(COMPAT-ARCHS)))
DOBUILDCOMPAT	:= $(STAMP_DIR)/build-libc5
DOBINARYCOMPAT	:= binary-libc5
endif
ifeq ($(DEB_HOST_ARCH),i386)
DEB_HOST_LIBC5_ARCH := i486
else
DEB_HOST_LIBC5_ARCH=$(DEB_HOST_ARCH)
endif

PACKAGE=$(shell dh_listpackages | grep -- -udeb$$)
DVERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ':' -f 3)
ARCH=$(shell dpkg --print-architecture)
UFILENAME=$(PACKAGE)_$(DVERSION)_$(ARCH).udeb

clean:
	dh_testdir
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.clean
	dh_clean
	rm -rf debian/libc5-tmp
	rm -rf debian/nopic-tmp

$(STAMP_DIR)/source.make:
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.make

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/source.make $(DOBUILDCOMPAT)
	dh_testdir
	cd $(BUILD_TREE) && CC=$(DEB_HOST_GNU_TYPE)-gcc ./configure --shared
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) CC=$(DEB_HOST_GNU_TYPE)-gcc -C $(BUILD_TREE)/contrib/minizip
	touch $@

$(STAMP_DIR)/build-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC=$(DEB_HOST_GNU_TYPE)-gcc ./configure
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

$(STAMP_DIR)/build-libc5: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/libc5-tmp
	cd $(BUILD_TREE) && CC=$(DEB_HOST_LIBC5_ARCH)-linuxlibc1-gcc ./configure --shared
	$(MAKE) -C $(BUILD_TREE) CC=$(DEB_HOST_LIBC5_ARCH)-linuxlibc1-gcc \
	CPP=/usr/$(DEB_HOST_LIBC5_ARCH)-linuxlibc1/bin/cpp all libz.a
	LD_LIBRARY_PATH=debian/libc5-tmp/lib:$(LD_LIBRARY_PATH) $(MAKE) -C $(BUILD_TREE) test
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/libc5-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/libc5-tmp/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

binary-indep:

binary-arch: binary-zlib1g-udeb binary-zlib1g binary-zlib1g-dev binary-zlib-bin $(DOBINARYCOMPAT)

pkg = $(patsubst binary-%,%,$@)

middle-binary-zlib1: tmpdir = $(CURDIR)/debian/zlib1
middle-binary-zlib1-altdev: tmpdir = $(CURDIR)/debian/zlib1-altdev
middle-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
middle-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
middle-binary-zlib1g: tmpdir = $(CURDIR)/debian/tmp
middle-binary-zlib1g-udeb: tmpdir = $(CURDIR)/debian/zlib1g-udeb
#post-binary-zlib1: tmpdir = $(CURDIR)/debian/zlib1
#post-binary-zlib1-altdev: tmpdir = $(CURDIR)/debian/zlib1-altdev
post-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
post-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
#post-binary-zlib1g: tmpdir = $(CURDIR)/debian/tmp

post-binary-zlib1g: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g: docs = $(BUILD_TREE)/README

post-binary-zlib1g-dev: docs = $(BUILD_TREE)/FAQ $(BUILD_TREE)/README $(BUILD_TREE)/algorithm.txt
post-binary-zlib1g-dev: examples = $(BUILD_TREE)/example.c $(BUILD_TREE)/minigzip.c
post-binary-zlib1g-dev: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g-dev: manpages3 = $(BUILD_TREE)/zlib.3

post-binary-zlib-bin: changelog =  $(BUILD_TREE)/contrib/minizip/ChangeLogUnzip
post-binary-zlib-bin: manpages1 = debian/minizip.1 debian/miniunzip.1

post-binary-zlib1: docs = $(BUILD_TREE)/README
post-binary-zlib1: changelog = $(BUILD_TREE)/ChangeLog

allpkgs = zlib1 zlib1-altdev zlib1g-dev zlib1g zlib-bin
$(patsubst %,binary-%,$(allpkgs)): DH_OPTIONS += -p $(pkg)

$(patsubst %,binary-%,$(allpkgs)): binary-%: pre-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: middle-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: post-binary-%

$(patsubst %,pre-binary-%,$(allpkgs)): pkg = $(patsubst pre-binary-%,%,$@)
$(patsubst %,middle-binary-%,$(allpkgs)): pkg = $(patsubst middle-binary-%,%,$@)
$(patsubst %,post-binary-%,$(allpkgs)): pkg = $(patsubst post-binary-%,%,$@)

binary-zlib1g-udeb: DH_OPTIONS += -pzlib1g-udeb
binary-zlib1g-udeb: pre-binary-zlib1g-udeb
binary-zlib1g-udeb: middle-binary-zlib1g-udeb
binary-zlib1g-udeb: post-binary-zlib1g-udeb

post-binary-zlib1-altdev: nodocs=\#

pre-binary-%: $(STAMP_DIR)/build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)

pre-binary-udeb: $(STAMP_DIR)/build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)

post-binary-%: $(STAMP_DIR)/build
	$(nodocs)if [ "$(manpages1)" != "" ]; then cp $(manpages1) $(tmpdir)/usr/share/man/man1 ; fi
	$(nodocs)if [ "$(manpages3)" != "" ]; then cp $(manpages3) $(tmpdir)/usr/share/man/man3 ; fi
	$(nodocs)dh_installexamples $(DH_OPTIONS) $(examples)
	$(nodocs)dh_installchangelogs $(DH_OPTIONS) $(changelog)
	$(nodocs)dh_installdocs $(DH_OPTIONS) $(docs)
	dh_shlibdeps $(DH_OPTIONS) -l$(BUILD_TREE)
	dh_compress $(DH_OPTIONS)
	dh_strip $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

post-binary-zlib1g-udeb: $(STAMP_DIR)/build
	dh_shlibdeps $(DH_OPTIONS) -l$(BUILD_TREE)
	dh_compress $(DH_OPTIONS)
	dh_strip $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS) -- -fdebian/files~
	dpkg-distaddfile $(UFILENAME) debian-installer optional
	dh_builddeb $(DH_OPTIONS) --filename=$(UFILENAME)

middle-binary-zlib1g: $(STAMP_DIR)/build
	install -m 644 -s $(BUILD_TREE)/libz.so.$(VERSION) $(tmpdir)/usr/lib/libz.so.$(VERSION)
	ln -s libz.so.$(VERSION) $(tmpdir)/usr/lib/libz.so.$(SONAME)

middle-binary-zlib1g-udeb: $(STAMP_DIR)/build
	install -m 644 -s $(BUILD_TREE)/libz.so.$(VERSION) $(tmpdir)/usr/lib/libz.so.$(VERSION)
	ln -s libz.so.$(VERSION) $(tmpdir)/usr/lib/libz.so.$(SONAME)

middle-binary-zlib1g-dev: $(STAMP_DIR)/build-nopic
	install -m 644 debian/nopic-tmp/lib/libz.a \
		$(tmpdir)/usr/lib/libz.a
	ln -s libz.so.1 $(tmpdir)/usr/lib/libz.so
	install -m 644 $(BUILD_TREE)/zlib.h $(BUILD_TREE)/zconf.h $(tmpdir)/usr/include/
	tar cf $(tmpdir)/usr/share/doc/zlib1g-dev/examples/contrib.tar --force-local -C $(BUILD_TREE)/contrib .

middle-binary-zlib-bin: $(STAMP_DIR)/build
	install -m 755 $(BUILD_TREE)/contrib/minizip/minizip $(tmpdir)/usr/bin/
	install -m 755 $(BUILD_TREE)/contrib/minizip/miniunz $(tmpdir)/usr/bin/miniunzip

binary-libc5: binary-zlib1 binary-zlib1-altdev

middle-binary-zlib1: $(STAMP_DIR)/build-libc5
	install -d $(tmpdir)/usr/lib/libc5-compat
	install -m 644 debian/libc5-tmp/lib/libz.so.$(VERSION) \
		$(tmpdir)/usr/lib/libc5-compat/libz.so.$(VERSION)
	ln -s libz.so.$(VERSION) \
		$(tmpdir)/usr/lib/libc5-compat/libz.so.$(SONAME)

middle-binary-zlib1-altdev: $(STAMP_DIR)/build-libc5
	install -d $(tmpdir)/usr/$(DEB_HOST_LIBC5_ARCH)-linuxlibc1/lib
	install -m 644 debian/libc5-tmp/lib/libz.a \
		$(tmpdir)/usr/$(DEB_HOST_LIBC5_ARCH)-linuxlibc1/lib/libz.a
	ln -s ../../lib/libc5-compat/libz.so.$(SONAME) \
		$(tmpdir)/usr/$(DEB_HOST_LIBC5_ARCH)-linuxlibc1/lib/libz.so

	install -d $(tmpdir)/usr/$(DEB_HOST_LIBC5_ARCH)-linuxlibc1/include

## zlib 1.2.3-9.osso4

=== _darcs/current/debian/changelog ===
zlib (1:1.2.3-9.osso4) unstable; urgency=low

  * Fixed lintian warning about wrong ppc64 arch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Apr 2006 14:15:49 +0300

zlib (1:1.2.3-9.osso3) unstable; urgency=low

  * Enable thumb DEB_BUILD_OPTIONS. Fixes: NB#26886.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 24 Apr 2006 17:22:34 +0300

zlib (1:1.2.3-9.osso2) unstable; urgency=low

  * Fixed dos lines in debian/patches/001-link_to_shared_zlib_in_contrib
  * Removed building 64bit for i386

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  7 Mar 2006 21:45:55 +0200

zlib (1:1.2.3-9.osso1) unstable; urgency=low

  * Integrated osso patches

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  3 Mar 2006 14:23:57 +0200

zlib (1:1.2.3-9) unstable; urgency=low

  * Remove build dep on amd64-libs (closes: #344009).

 -- Mark Brown <broonie@debian.org>  Tue, 20 Dec 2005 14:12:58 +0000

zlib (1:1.2.3-8) unstable; urgency=low

  * Replace old ia32-libs (closes: #339105).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Nov 2005 21:20:31 +0000

zlib (1:1.2.3-7) unstable; urgency=low

  * Check for EOF properly in gzio (closes: #130557).

 -- Mark Brown <broonie@debian.org>  Sun, 30 Oct 2005 11:02:24 +0000

zlib (1:1.2.3-6) unstable; urgency=low

  * Most of the changes in this version are based heavily on work done for
    Ubuntu by Matthias Klose <doko@cs.tu-berlin.de>.  Thanks!
  * Build biarch packages on PowerPC (closes: #325560).
  * Build biarch packages on i386, replacing amd64-libs prior to 1.4 which
    included its own copy and adding a theoretically spurious build dep
    on amd64-libs to work around binutils troubles (closes: #334013).
  * Drop build dep on GCC 3.4 on amd64 - we already stopped using it.
  * Update all the lib64 development dependencies to use lib64c-dev rather
    than the specific libc-${ARCH}-dev package.
  * Don't test lib64 builds - there's a good chance they'll fail due to the
    system not being able to execute 64 bit code.  Similarly, don't worry if
    dh_shlibdeps fails and hard code an unversioned dependency on the
    appropriate libc.

 -- Mark Brown <broonie@debian.org>  Sun, 16 Oct 2005 19:38:11 +0100

zlib (1:1.2.3-5) unstable; urgency=low

  * Since GCC no longer ICEs at -O3 on m68k revert to using -O3 there like
    we do elsewhere.

 -- Mark Brown <broonie@debian.org>  Wed, 28 Sep 2005 23:00:52 +0100

zlib (1:1.2.3-4) unstable; urgency=low

  * Add ppc64 biarch support using patch included in the report by Andreas
    Jochens <aj@andaco.de> (closes: #323591).

 -- Mark Brown <broonie@debian.org>  Mon, 29 Aug 2005 12:30:04 +0100

zlib (1:1.2.3-3) unstable; urgency=low

  * Fix minizip build (closes: #321355).

 -- Mark Brown <broonie@debian.org>  Fri,  5 Aug 2005 18:52:09 +0100

zlib (1:1.2.3-2) unstable; urgency=low

  * Fix noopt (closes: #320999).
  * Apply CFLAGS to minizip too.
  * Policy 3.6.2 (no changes).

 -- Mark Brown <broonie@debian.org>  Wed,  3 Aug 2005 23:31:47 +0100

zlib (1:1.2.3-1) unstable; urgency=high

  * New upstream release.
  * This release includes a fix for CAN-2005-1849.

 -- Mark Brown <broonie@debian.org>  Mon, 18 Jul 2005 23:02:31 +0100

zlib (1:1.2.2-9) unstable; urgency=low

  * Work around an ICE on m68k by building at -O2 there.
  * Implement noopt support while we're at it.

 -- Mark Brown <broonie@debian.org>  Thu, 14 Jul 2005 18:06:21 +0300

zlib (1:1.2.2-8) unstable; urgency=low

  * Remove GCC 3.4 hack for amd64 since the default compiler is now supposed
    to be able to do biarch.

 -- Mark Brown <broonie@debian.org>  Sun, 10 Jul 2005 13:10:15 +0300

zlib (1:1.2.2-7) unstable; urgency=high

  * Add patch fixing CAN-2005-2096 in inflate.

 -- Mark Brown <broonie@debian.org>  Mon,  4 Jul 2005 23:58:05 +0100

zlib (1:1.2.2-6) unstable; urgency=low

  * Fix some build failures on amd64 (closes: #316779).  The package still
    fails to build but this appears to be due to toolchain issues.

 -- Mark Brown <broonie@debian.org>  Mon,  4 Jul 2005 21:49:55 +0100

zlib (1:1.2.2-5) unstable; urgency=low

  * Build a 32 bit copy on amd64 (closes: #311618).
  * Hack build with GCC 3.4 on amd64 since the default 3.3 is broken for
    biarch builds.  This should be removed once the default compiler does
    this properly.
  * Remove libc5 support and therefore revert to using plain gcc when not
    cross-compiling.
  * Upgrade to Debhelper interface 4.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Jun 2005 09:52:45 +0100

zlib (1:1.2.2-4.sarge.2osso2) stable-security; urgency=low

  * fix #21200: zlib-1.2.2/contrib/delphi/ZLib.pas removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 14 Nov 2005 12:49:46 +0200

zlib (1:1.2.2-4.sarge.2osso1) stable-security; urgency=low

  * use -Os instead of -O3

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 22 Jul 2005 15:34:35 +0300

zlib (1:1.2.2-4) unstable; urgency=low

  * Run dh_installdeb before dh_shlibdeps (closes: #282882).
  * Specify the shlibs for the library directly to dpkg-shlibs.

 -- Mark Brown <broonie@debian.org>  Tue,  7 Dec 2004 14:37:32 +0000

zlib (1:1.2.2-3) unstable; urgency=low

  * Generate shared libraries sensibly for zlib-bin (closes: #278977).

 -- Mark Brown <broonie@debian.org>  Sat, 30 Oct 2004 19:40:57 +0100

zlib (1:1.2.2-2) unstable; urgency=low

  * Remove shlibs from udeb.

 -- Mark Brown <broonie@debian.org>  Sat,  9 Oct 2004 19:06:41 +0100

zlib (1:1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed,  6 Oct 2004 20:10:10 +0100

zlib (1:1.2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream now includes patch improving error reporting when gzio is used on
    empty files (closes: #258087).
  * Upstream have fixed a valgrind warning.  Other valgrind warnings remain
    but have been analysed and found safe - uninitialised memory is read from
    a buffer allocated by zlib during deflate but bounds checking is


=== _darcs/current/debian/control ===
Source: zlib
Section: libs
Priority: optional
Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2), dbs (>= 0.21), libc6-dev-powerpc [powerpc], ia32-libs-dev [amd64], lib64c-dev [powerpc s390 sparc]

Package: zlib1g
Architecture: any
Depends: ${shlibs:Depends}
Priority: required
Conflicts: zlib1 (<= 1:1.0.4-7), zlib1g-udeb
Replaces: zlib1g-udeb
Provides: libz1
Description: compression library - runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the shared library.

Package: zlib1g-dev
Section: libdevel
Architecture: any
Depends: zlib1g (= ${Source-Version}), libc6-dev | libc-dev
Conflicts: zlib1-dev
Provides: libz-dev
Description: compression library - development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files.

Package: zlib-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: compression library - sample programs
 Some generally useful sample programs from the contrib directory.
 Includes a "mini" implementation of `zip' and `unzip' called
 `minizip' and `miniunzip' respectively.

Package: zlib1g-udeb
XC-Package-Type: udeb
Architecture: any
Priority: optional
Provides: zlib1g
Section: debian-installer
Description: compression library - runtime for Debian installer
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This minimal package includes the shared library
 for use with the Debian installer.

Package: lib64z1
Architecture: sparc s390 i386 powerpc
Depends: ${shlibs:Depends}, ${lib64:Depends}
Replaces: amd64-libs (<< 1.4)
Description: compression library - 64 bit runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a 64 bit version of the
 shared library.

Package: lib64z1-dev
Section: libdevel
Architecture: sparc s390 i386 powerpc
Depends: lib64z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version}), lib64c-dev
Replaces: amd64-libs-dev (<< 1.4)
Provides: lib64z-dev
Description: compression library - 64 bit development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building 64 bit applications.

Package: lib32z1
Architecture: amd64 ppc64
Depends: ${shlibs:Depends}
Replaces: ia32-libs (<< 1.5)
Description: compression library - 32 bit runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a 32 bit version of the
 shared library.

Package: lib32z1-dev
Section: libdevel
Architecture: amd64 ppc64
Depends: lib32z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version})
Provides: lib32z-dev
Replaces: ia32-libs-dev (<< 1.5)
Description: compression library - 32 bit development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building 32 bit applications.

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | \
		 sed -e 's/^Version: *//' -e 's/-.*$$//' -e 's/^.*://')
SONAME=1

include debian/vars
BUILD_TREE = $(SOURCE_DIR)/$(TAR_DIR)

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DH_OPTIONS=

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
TESTS=test
CC=gcc
CC32=gcc -m32
CC64=gcc -m64
else
CC=$(DEB_HOST_GNU_TYPE)-gcc
CC32=$(DEB_HOST_GNU_TYPE)-gcc -m32
CC64=$(DEB_HOST_GNU_TYPE)-gcc -m64
endif

64-ARCHS=s390 sparc powerpc
ifneq (,$(findstring $(DEB_HOST_ARCH), $(64-ARCHS)))
DOBUILD		+= $(STAMP_DIR)/build-64 $(STAMP_DIR)/build-64-nopic
DOBINARY	:= binary-lib64z1 binary-lib64z1-dev
endif

32-ARCHS=amd64 ppc64
ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
DOBUILD		+= $(STAMP_DIR)/build-32 $(STAMP_DIR)/build-32-nopic
DOBINARY	:= binary-lib32z1 binary-lib32z1-dev
endif

# Did the user want to turn optimisation off for some reason?
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS=-O0
else
# By default, optimise for osso
CFLAGS=-Os
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

UDEB=$(shell dh_listpackages | grep -- -udeb$$)
DVERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ':' -f 3)
UFILENAME=$(UDEB)_$(DVERSION)_$(DEB_BUILD_ARCH).udeb

clean:
	dh_testdir
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.clean
	dh_clean
	rm -rf debian/nopic-tmp

$(STAMP_DIR)/source.make:
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.make

make-diff:
	$(MAKE) -f /usr/share/dbs/sys-build.mk make-diff

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/source.make $(DOBUILDCOMPAT)
	dh_testdir
	cd $(BUILD_TREE) && CC=$(CC) CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) CC=$(CC) OPT="$(CFLAGS)" -C $(BUILD_TREE)/contrib/minizip
	touch $@

$(STAMP_DIR)/build-64: $(STAMP_DIR)/source.make
	dh_testdir
	cd $(BUILD_TREE) && CC="$(CC64)" CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a
	touch $@

$(STAMP_DIR)/build-32: $(STAMP_DIR)/source.make
	dh_testdir
	cd $(BUILD_TREE) && CC="$(CC32)" CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	touch $@

$(STAMP_DIR)/build-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC=$(CC) CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

$(STAMP_DIR)/build-64-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC="$(CC64)" CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure --libdir=\$${prefix}/lib64
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/lib64/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

$(STAMP_DIR)/build-32-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC="$(CC32)" CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure --libdir=\$${prefix}/emul/ia32-linux/usr/lib/
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/emul/ia32-linux/usr/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

binary-indep:

binary-arch: binary-zlib1g-udeb binary-zlib1g binary-zlib1g-dev binary-zlib-bin $(DOBINARY)

pkg = $(patsubst binary-%,%,$@)

middle-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
middle-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
middle-binary-zlib1g: tmpdir = $(CURDIR)/debian/zlib1g
middle-binary-zlib1g-udeb: tmpdir = $(CURDIR)/debian/zlib1g-udeb
middle-binary-lib64z1: tmpdir = $(CURDIR)/debian/lib64z1
middle-binary-lib64z1-dev: tmpdir = $(CURDIR)/debian/lib64z1-dev
middle-binary-lib32z1: tmpdir = $(CURDIR)/debian/lib32z1
middle-binary-lib32z1-dev: tmpdir = $(CURDIR)/debian/lib32z1-dev
post-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
post-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
post-binary-zlib1g: tmpdir = $(CURDIR)/debian/zlib1g

post-binary-zlib1g: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g: docs = $(BUILD_TREE)/README

post-binary-zlib1g-dev: docs = $(BUILD_TREE)/FAQ $(BUILD_TREE)/README $(BUILD_TREE)/algorithm.txt
post-binary-zlib1g-dev: examples = $(BUILD_TREE)/example.c $(BUILD_TREE)/minigzip.c
post-binary-zlib1g-dev: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g-dev: manpages3 = $(BUILD_TREE)/zlib.3

post-binary-zlib-bin: changelog =  $(BUILD_TREE)/contrib/minizip/ChangeLogUnzip
post-binary-zlib-bin: manpages1 = debian/minizip.1 debian/miniunzip.1

allpkgs = zlib1g-dev zlib1g zlib1g-udeb zlib-bin lib64z1 lib64z1-dev lib32z1 lib32z1-dev
$(patsubst %,binary-%,$(allpkgs)): DH_OPTIONS += -p$(pkg)

$(patsubst %,binary-%,$(allpkgs)): binary-%: pre-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: middle-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: post-binary-%

$(patsubst %,pre-binary-%,$(allpkgs)): pkg = $(patsubst pre-binary-%,%,$@)
$(patsubst %,middle-binary-%,$(allpkgs)): pkg = $(patsubst middle-binary-%,%,$@)
$(patsubst %,post-binary-%,$(allpkgs)): pkg = $(patsubst post-binary-%,%,$@)

binary-zlib1g-udeb: DH_OPTIONS += -pzlib1g-udeb
binary-zlib1g-udeb: pre-binary-zlib1g-udeb
binary-zlib1g-udeb: middle-binary-zlib1g-udeb
binary-zlib1g-udeb: post-binary-zlib1g-udeb

post-binary-zlib1-altdev: nodocs=\#

pre-binary-%: $(STAMP_DIR)/build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
ifeq ($(DEB_HOST_ARCH),i386)
	echo 'lib64:Depends=libc6-amd64' >> debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	echo 'lib64:Depends=libc6-ppc64' >> debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),s390)
	echo 'lib64:Depends=libc6-s390x' > debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	echo 'lib64:Depends=libc6-sparc64' > debian/$*.substvars
endif

post-binary-%: $(STAMP_DIR)/build
	$(nodocs)if [ "$(manpages1)" != "" ]; then cp $(manpages1) $(tmpdir)/usr/share/man/man1 ; fi
	$(nodocs)if [ "$(manpages3)" != "" ]; then cp $(manpages3) $(tmpdir)/usr/share/man/man3 ; fi
	$(nodocs)dh_installexamples $(DH_OPTIONS) $(examples)
	$(nodocs)dh_installchangelogs $(DH_OPTIONS) $(changelog)
	$(nodocs)dh_installdocs $(DH_OPTIONS) $(docs)
	dh_installdeb $(DH_OPTIONS)
	dh_shlibdeps $(DH_OPTIONS) -l$(BUILD_TREE)
	dh_compress $(DH_OPTIONS)
	dh_strip $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

post-binary-zlib-bin: $(STAMP_DIR)/build
	$(nodocs)if [ "$(manpages1)" != "" ]; then cp $(manpages1) $(tmpdir)/usr/share/man/man1 ; fi
	$(nodocs)if [ "$(manpages3)" != "" ]; then cp $(manpages3) $(tmpdir)/usr/share/man/man3 ; fi
	$(nodocs)dh_installexamples $(DH_OPTIONS) $(examples)
	$(nodocs)dh_installchangelogs $(DH_OPTIONS) $(changelog)
	$(nodocs)dh_installdocs $(DH_OPTIONS) $(docs)
	dh_installdeb $(DH_OPTIONS)

## zlib 1.2.3-9.osso8

=== debian/changelog ===
zlib (1:1.2.3-9.osso8) unstable; urgency=low

  * Removed wrong patches. 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 12:09:44 +0300

zlib (1:1.2.3-9.osso7) unstable; urgency=low

  * Legal cleanup: contrib/delphi removed. Fixes: NB#66724 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Aug 2007 15:08:39 +0300

zlib (1:1.2.3-9.osso6) unstable; urgency=low

  * Make a branch for another product.
  * Produce -dbg package. Fixes: NB#40257.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 15:26:47 +0300

zlib (1:1.2.3-9.osso5) unstable; urgency=low

  * Removed contrib/delphi. Fixes: NB#42327.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  9 Oct 2006 14:04:33 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Mark Brown <broonie@debian.org>
-Standards-Version: 3.5.8
-Build-Depends: debhelper, dbs (>= 0.21)
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.2), dbs (>= 0.21), libc6-dev-powerpc [powerpc], ia32-libs-dev [amd64], lib64c-dev [powerpc s390 sparc]
 
 Package: zlib1g
 Architecture: any
@@ -13,6 +13,13 @@
 Replaces: zlib1g-udeb
 Provides: libz1
 Description: compression library - runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the shared library.
+
+Package: zlib1g-dbg
+Architecture: any
+Depends: zlib1g (= ${Source-Version})
+Description: compression library - debug symbols
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the shared library.
 
@@ -30,13 +37,14 @@
 Package: zlib-bin
 Section: utils
 Architecture: any
-Depends: libz1
+Depends: ${shlibs:Depends}
 Description: compression library - sample programs
  Some generally useful sample programs from the contrib directory.
  Includes a "mini" implementation of `zip' and `unzip' called
  `minizip' and `miniunzip' respectively.
 
 Package: zlib1g-udeb
+XC-Package-Type: udeb
 Architecture: any
 Priority: optional
 Provides: zlib1g
@@ -45,3 +53,43 @@
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This minimal package includes the shared library
  for use with the Debian installer.
+
+Package: lib64z1
+Architecture: sparc s390 i386 powerpc
+Depends: ${shlibs:Depends}, ${lib64:Depends}
+Replaces: amd64-libs (<< 1.4)
+Description: compression library - 64 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 64 bit version of the
+ shared library.
+
+Package: lib64z1-dev
+Section: libdevel
+Architecture: sparc s390 i386 powerpc
+Depends: lib64z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version}), lib64c-dev
+Replaces: amd64-libs-dev (<< 1.4)
+Provides: lib64z-dev
+Description: compression library - 64 bit development
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the development support
+ files for building 64 bit applications.
+
+Package: lib32z1
+Architecture: amd64 ppc64
+Depends: ${shlibs:Depends}
+Replaces: ia32-libs (<< 1.5)
+Description: compression library - 32 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 32 bit version of the
+ shared library.
+
+Package: lib32z1-dev
+Section: libdevel
+Architecture: amd64 ppc64
+Depends: lib32z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version})
+Provides: lib32z-dev
+Replaces: ia32-libs-dev (<< 1.5)
+Description: compression library - 32 bit development
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the development support
+ files for building 32 bit applications.

=== debian/rules ===
#!/usr/bin/make -f

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | \
		 sed -e 's/^Version: *//' -e 's/-.*$$//' -e 's/^.*://')
SONAME=1

include debian/vars
BUILD_TREE = $(SOURCE_DIR)/$(TAR_DIR)

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DH_OPTIONS=

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
TESTS=test
CC=gcc
CC32=gcc -m32
CC64=gcc -m64
else
CC=$(DEB_HOST_GNU_TYPE)-gcc
CC32=$(DEB_HOST_GNU_TYPE)-gcc -m32
CC64=$(DEB_HOST_GNU_TYPE)-gcc -m64
endif

64-ARCHS=s390 sparc powerpc
ifneq (,$(findstring $(DEB_HOST_ARCH), $(64-ARCHS)))
DOBUILD		+= $(STAMP_DIR)/build-64 $(STAMP_DIR)/build-64-nopic
DOBINARY	:= binary-lib64z1 binary-lib64z1-dev
endif

32-ARCHS=amd64 ppc64
ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
DOBUILD		+= $(STAMP_DIR)/build-32 $(STAMP_DIR)/build-32-nopic
DOBINARY	:= binary-lib32z1 binary-lib32z1-dev
endif

# Did the user want to turn optimisation off for some reason?
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS=-O0
else
# By default, optimise for osso
CFLAGS=-Os
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

UDEB=$(shell dh_listpackages | grep -- -udeb$$)
DVERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ':' -f 3)
UFILENAME=$(UDEB)_$(DVERSION)_$(DEB_BUILD_ARCH).udeb

clean:
	dh_testdir
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.clean
	dh_clean
	rm -rf debian/nopic-tmp

$(STAMP_DIR)/source.make:
	$(MAKE) -f /usr/share/dbs/sys-build.mk source.make

make-diff:
	$(MAKE) -f /usr/share/dbs/sys-build.mk make-diff

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/source.make $(DOBUILDCOMPAT)
	dh_testdir
	cd $(BUILD_TREE) && CC=$(CC) CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) CC=$(CC) OPT="$(CFLAGS)" -C $(BUILD_TREE)/contrib/minizip
	touch $@

$(STAMP_DIR)/build-64: $(STAMP_DIR)/source.make
	dh_testdir
	cd $(BUILD_TREE) && CC="$(CC64)" CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a
	touch $@

$(STAMP_DIR)/build-32: $(STAMP_DIR)/source.make
	dh_testdir
	cd $(BUILD_TREE) && CC="$(CC32)" CFLAGS="$(CFLAGS) -g -D_REENTRANT -fPIC" ./configure --shared
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	touch $@

$(STAMP_DIR)/build-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC=$(CC) CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

$(STAMP_DIR)/build-64-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC="$(CC64)" CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure --libdir=\$${prefix}/lib64
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/lib64/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

$(STAMP_DIR)/build-32-nopic: $(STAMP_DIR)/source.make
	dh_testdir
	mkdir -p debian/nopic-tmp
	cd $(BUILD_TREE) && CC="$(CC32)" CFLAGS="$(CFLAGS) -D_REENTRANT" ./configure --libdir=\$${prefix}/emul/ia32-linux/usr/lib/
	$(MAKE) -C $(BUILD_TREE) clean
	$(MAKE) -C $(BUILD_TREE) all libz.a $(TESTS)
	$(MAKE) -C $(BUILD_TREE) install prefix=$(CURDIR)/debian/nopic-tmp
	install -m 644 $(BUILD_TREE)/libz.a debian/nopic-tmp/emul/ia32-linux/usr/lib/libz.a
	$(MAKE) -C $(BUILD_TREE) clean
	touch $@

binary-indep:

binary-arch: binary-zlib1g-udeb binary-zlib1g binary-zlib1g-dbg binary-zlib1g-dev binary-zlib-bin $(DOBINARY)

pkg = $(patsubst binary-%,%,$@)

middle-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
middle-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
middle-binary-zlib1g: tmpdir = $(CURDIR)/debian/zlib1g
middle-binary-zlib1g-udeb: tmpdir = $(CURDIR)/debian/zlib1g-udeb
middle-binary-lib64z1: tmpdir = $(CURDIR)/debian/lib64z1
middle-binary-lib64z1-dev: tmpdir = $(CURDIR)/debian/lib64z1-dev
middle-binary-lib32z1: tmpdir = $(CURDIR)/debian/lib32z1
middle-binary-lib32z1-dev: tmpdir = $(CURDIR)/debian/lib32z1-dev
post-binary-zlib1g-dev: tmpdir = $(CURDIR)/debian/zlib1g-dev
post-binary-zlib-bin: tmpdir = $(CURDIR)/debian/zlib-bin
post-binary-zlib1g: tmpdir = $(CURDIR)/debian/zlib1g

post-binary-zlib1g: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g: docs = $(BUILD_TREE)/README

post-binary-zlib1g-dev: docs = $(BUILD_TREE)/FAQ $(BUILD_TREE)/README $(BUILD_TREE)/algorithm.txt
post-binary-zlib1g-dev: examples = $(BUILD_TREE)/example.c $(BUILD_TREE)/minigzip.c
post-binary-zlib1g-dev: changelog = $(BUILD_TREE)/ChangeLog
post-binary-zlib1g-dev: manpages3 = $(BUILD_TREE)/zlib.3

post-binary-zlib-bin: changelog =  $(BUILD_TREE)/contrib/minizip/ChangeLogUnzip
post-binary-zlib-bin: manpages1 = debian/minizip.1 debian/miniunzip.1

allpkgs = zlib1g-dev zlib1g zlib1g-dbg zlib1g-udeb zlib-bin lib64z1 lib64z1-dev lib32z1 lib32z1-dev
$(patsubst %,binary-%,$(allpkgs)): DH_OPTIONS += -p$(pkg)

$(patsubst %,binary-%,$(allpkgs)): binary-%: pre-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: middle-binary-%
$(patsubst %,binary-%,$(allpkgs)): binary-%: post-binary-%

$(patsubst %,pre-binary-%,$(allpkgs)): pkg = $(patsubst pre-binary-%,%,$@)
$(patsubst %,middle-binary-%,$(allpkgs)): pkg = $(patsubst middle-binary-%,%,$@)
$(patsubst %,post-binary-%,$(allpkgs)): pkg = $(patsubst post-binary-%,%,$@)

binary-zlib1g-udeb: DH_OPTIONS += -pzlib1g-udeb
binary-zlib1g-udeb: pre-binary-zlib1g-udeb
binary-zlib1g-udeb: middle-binary-zlib1g-udeb
binary-zlib1g-udeb: post-binary-zlib1g-udeb

post-binary-zlib1-altdev: nodocs=\#

pre-binary-zlib1g-dbg: $(STAMP_DIR)/build
	
pre-binary-%: $(STAMP_DIR)/build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
ifeq ($(DEB_HOST_ARCH),i386)
	echo 'lib64:Depends=libc6-amd64' >> debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	echo 'lib64:Depends=libc6-ppc64' >> debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),s390)
	echo 'lib64:Depends=libc6-s390x' > debian/$*.substvars
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	echo 'lib64:Depends=libc6-sparc64' > debian/$*.substvars
endif

post-binary-%: $(STAMP_DIR)/build
	$(nodocs)if [ "$(manpages1)" != "" ]; then cp $(manpages1) $(tmpdir)/usr/share/man/man1 ; fi
	$(nodocs)if [ "$(manpages3)" != "" ]; then cp $(manpages3) $(tmpdir)/usr/share/man/man3 ; fi
	$(nodocs)dh_installexamples $(DH_OPTIONS) $(examples)
	$(nodocs)dh_installchangelogs $(DH_OPTIONS) $(changelog)
	$(nodocs)dh_installdocs $(DH_OPTIONS) $(docs)
	dh_installdeb $(DH_OPTIONS)
	dh_shlibdeps $(DH_OPTIONS) -l$(BUILD_TREE)
	dh_compress $(DH_OPTIONS)
	dh_strip $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

post-binary-zlib1g: $(STAMP_DIR)/build
	$(nodocs)if [ "$(manpages1)" != "" ]; then cp $(manpages1) $(tmpdir)/usr/share/man/man1 ; fi
	$(nodocs)if [ "$(manpages3)" != "" ]; then cp $(manpages3) $(tmpdir)/usr/share/man/man3 ; fi
	$(nodocs)dh_installexamples $(DH_OPTIONS) $(examples)
	$(nodocs)dh_installchangelogs $(DH_OPTIONS) $(changelog)
	$(nodocs)dh_installdocs $(DH_OPTIONS) $(docs)
